linear.cpp File Reference
`#include "test/int.hh"`
`#include <gecode/minimodel.hh>`

Go to the source code of this file.

## Classes

class | Test::Int::Linear::IntInt
| Test linear relation over integer variables More...
class | Test::Int::Linear::IntVar
| Test linear relation over integer variables More...
class | Test::Int::Linear::BoolInt
| Test linear relation over Boolean variables equal to constant More...
class | Test::Int::Linear::BoolVar
| Test linear relation over Boolean variables equal to integer variable More...
class | Test::Int::Linear::Create
| Help class to create and register tests. More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Int
| Testing finite domain integers.
namespace | Test::Int::Linear
| Tests for linear constraints

## Functions

bool | Test::Int::Linear::one (const Gecode::IntArgs &a)
| Check whether a has only one coefficients.

## Variables

Create | Test::Int::Linear::c